Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001557 [Piwigo] plugins feature N/A 2010.03.30 15:24 2010.04.09 00:51
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC2 Product Version
  Target Version 2.1.0RC2 Product Build
Summary 0001557: new design for plugin list management, 1 block = 1 status
Description Let's have a simpler design for plugin list.

* each status (active, inactive, uninstalled, missing) creates a block
* for a given status only display the possible actions
* remove icons
* move the link to the plugin URL to a dedicated link, not the plugin name
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003655)
svn (reporter)
2010.03.30 15:27

[Subversion] r5474 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1557: new design for plugin list management, 1 block = 1 status.
No icon.
(0003656)
svn (reporter)
2010.03.30 15:30

[Subversion] r5475 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1557: remove the sorting feature on plugin list, because it becomes
not very relevant with the new design.
(0003657)
svn (reporter)
2010.03.30 16:23

[Subversion] r5476 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1557: add i18n (and l10n for en_UK+fr_FR) on new strings for plugin
management.
(0003665)
svn (reporter)
2010.04.01 00:41

[Subversion] r5515 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1557: New design for "new plugins" tab.
(0003666)
svn (reporter)
2010.04.01 00:57

[Subversion] r5516 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1557: Correction for number of downloads.
(0003694)
rub (developer)
2010.04.05 01:44

I have these errors:
Notice: Undefined index: author uri in D:\Dev\trunk\admin\plugins_list.php on line 72

Notice: Undefined index: author uri in D:\Dev\trunk\admin\plugins_list.php on line 72

Plugins without author are not managed?
(0003697)
plg (manager)
2010.04.07 12:48

rub wrote:

> Notice: Undefined index: author uri in D:\Dev\trunk\admin\plugins_list.php on line 72

rvelices fixed it in [Subversion] r5691
(0003728)
svn (reporter)
2010.04.09 00:51

[Subversion] r5729 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1557: slower animation on plugin description box.

- Issue History
Date Modified Username Field Change
2010.03.30 15:24 plg New Issue
2010.03.30 15:24 plg Status new => assigned
2010.03.30 15:24 plg Assigned To => plg
2010.03.30 15:24 plg browser => any
2010.03.30 15:24 plg Web server => Apache 1.3.x
2010.03.30 15:27 svn Checkin
2010.03.30 15:27 svn Note Added: 0003655
2010.03.30 15:30 svn Checkin
2010.03.30 15:30 svn Note Added: 0003656
2010.03.30 16:23 svn Checkin
2010.03.30 16:23 svn Note Added: 0003657
2010.04.01 00:41 svn Checkin
2010.04.01 00:41 svn Note Added: 0003665
2010.04.01 00:57 svn Checkin
2010.04.01 00:57 svn Note Added: 0003666
2010.04.05 01:44 rub Note Added: 0003694
2010.04.07 12:48 plg Note Added: 0003697
2010.04.08 21:11 plg Status assigned => closed
2010.04.08 21:11 plg Resolution open => fixed
2010.04.08 21:11 plg Fixed in Version => 2.1.0RC2
2010.04.09 00:51 svn Checkin
2010.04.09 00:51 svn Note Added: 0003728


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker